# Sticker class

## Constructors

Sticker (FileMetadataData metadata, List <StatelessFileSharingSource> sources, Map <String, String> suggests)
  const
Sticker.fromXML (XMLNode node)
  factory

## Properties

hashCode → int
  The hash code for this object.
  no setterinherited
metadata → FileMetadataData
  final
runtimeType → Type
  A representation of the runtime type of the object.
  no setterinherited
sources → List <StatelessFileSharingSource>
  final
suggests → Map <String, String>
  final

## Methods

noSuchMethod (Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toPubSubXML () → XMLNode
toString () → String
  A string representation of this object.
  inherited

## Operators

operator == (Object other) → bool
  The equality operator.
  inherited